---
# Remove Gitlab
- name: Helm remove Gitlab
  helm3: 
    state: absent
    release: gitlab
    namespace: "{{ config.gitlab.namespace }}"
  failed_when: false

- name: Delete namespace {{ config.gitlab.namespace }}
  k8s:
    state: absent
    kind: Namespace
    name: "{{ config.gitlab.namespace }}"
  failed_when: false

- name: Delete Gitlab Runner namespaces
  k8s:
    state: absent
    kind: Namespace
    name: "{{ item.namespace }}"  
  loop: "{{ config.gitlab.runners }}"

- debug:
    msg: |
      Not removed:
      - Any backups made in external S3 storage
